summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <martin@mvath.de>2020-08-01 07:04:07 +0200
committerMartin Väth <martin@mvath.de>2020-08-01 07:04:07 +0200
commit0b62b96755582e3ea8c7dc3748f9c27b30a25a04 (patch)
tree5cd15e0c8b3d86e33fe150ccbb38c31778fd276f
parentBumps to add SPDX-License-Identifier (diff)
downloadmv-0b62b96755582e3ea8c7dc3748f9c27b30a25a04.tar.gz
mv-0b62b96755582e3ea8c7dc3748f9c27b30a25a04.tar.bz2
mv-0b62b96755582e3ea8c7dc3748f9c27b30a25a04.zip
games-rpg/freedroidrpg: add temporarily for python3_8
Signed-off-by: Martin Väth <martin@mvath.de>
-rw-r--r--games-rpg/freedroidrpg/Manifest1
-rw-r--r--games-rpg/freedroidrpg/freedroidrpg-1.0_rc2.ebuild97
-rw-r--r--games-rpg/freedroidrpg/metadata.xml34
-rw-r--r--metadata/pkg_desc_index1
-rw-r--r--profiles/use.local.desc3
5 files changed, 136 insertions, 0 deletions
diff --git a/games-rpg/freedroidrpg/Manifest b/games-rpg/freedroidrpg/Manifest
new file mode 100644
index 00000000..f45a2848
--- /dev/null
+++ b/games-rpg/freedroidrpg/Manifest
@@ -0,0 +1 @@
+DIST freedroidRPG-1.0rc2.tar.gz 233852127 BLAKE2B c87c2314d17037873acf4fc24ce20790c9ec40c8f7b1ea27e6ab9c543abb671bc50b3ff5b86900f7111d1f1a899213dcb90529d2e39918801c9cc3a42585f02e SHA512 a79afdb089691dd59b0128f34f7068c69fac8c057a0485bca3275f4914b1c9c0f21cbb9102ecdc99911b70456c078dbdeb8981fd7714836cd9535677bcc4d1e7
diff --git a/games-rpg/freedroidrpg/freedroidrpg-1.0_rc2.ebuild b/games-rpg/freedroidrpg/freedroidrpg-1.0_rc2.ebuild
new file mode 100644
index 00000000..e96311d5
--- /dev/null
+++ b/games-rpg/freedroidrpg/freedroidrpg-1.0_rc2.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+inherit autotools flag-o-matic desktop python-any-r1 xdg
+
+MY_PV=$(ver_rs 2 '')
+DESCRIPTION="A modification of the classical Freedroid engine into an RPG"
+HOMEPAGE="http://www.freedroid.org"
+SRC_URI="ftp://ftp.osuosl.org/pub/freedroid/freedroidRPG-$(ver_cut 1-2)/freedroidRPG-${MY_PV}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug devtools nls opengl profile sanitize sound"
+
+RDEPEND="
+ sys-libs/zlib
+ virtual/jpeg:0
+ media-libs/libpng:0
+ media-libs/libsdl[opengl?,sound?,video]
+ media-libs/sdl-image[jpeg,png]
+ >=media-libs/sdl-gfx-2.0.21
+ nls? ( virtual/libintl )
+ opengl? ( virtual/opengl )
+ sound? (
+ media-libs/libogg
+ media-libs/libvorbis
+ media-libs/sdl-mixer[vorbis] )
+ devtools? ( media-libs/sdl-ttf )"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ ${PYTHON_DEPS}
+ nls? ( sys-devel/gettext )
+ sanitize? ( || ( sys-devel/gcc[sanitize] sys-devel/clang-runtime[sanitize] ) )"
+
+S="${WORKDIR}/${PN}-${MY_PV^^}"
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e '/^dist_doc_DATA/d' \
+ -e '/-pipe/d' \
+ -e '/^SUBDIRS/s/pkgs//' \
+ Makefile.am || die
+ python_fix_shebang src data/sound
+ eautoreconf
+}
+
+src_configure() {
+ # this can produce strange results due to 'imprecise' math computations
+ filter-flags -ffast-math
+
+ local myconf=(
+ --disable-fastmath
+ --with-embedded-lua
+ --localedir=/usr/share/locale
+ $(use_enable nls)
+ $(use_enable opengl)
+ $(use_enable sound)
+ $(use_enable debug)
+ $(use_with debug extra-warnings)
+ $(use_enable debug backtrace)
+ $(use_enable sanitize sanitize-address)
+ $(use_enable profile rtprof)
+ $(use_enable devtools dev-tools)
+ )
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ local i
+
+ default
+ for i in 48 64 96 128
+ do
+ doicon -s ${i} pkgs/freedesktop/icons/hicolor/${i}x${i}/apps/"${PN}".png
+ done
+ doicon -s scalable pkgs/freedesktop/icons/hicolor/scalable/apps/freedroidRPG.svg
+ make_desktop_entry "${PN}" "Freedroid RPG" "${PN}"
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ local v min="1.0_rc1"
+ for v in ${REPLACING_VERSIONS}; do
+ if ver_test "${v}" -lt "${min}"; then
+ echo
+ ewarn "${P} is not compatible with save games before ${min}."
+ ewarn "Please start a new character."
+ echo
+ fi
+ done
+}
diff --git a/games-rpg/freedroidrpg/metadata.xml b/games-rpg/freedroidrpg/metadata.xml
new file mode 100644
index 00000000..01b748c2
--- /dev/null
+++ b/games-rpg/freedroidrpg/metadata.xml
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>games@gentoo.org</email>
+ <name>Gentoo Games Project</name>
+ </maintainer>
+ <longdescription>
+FreedroidRPG is an open source role playing game
+
+The game tells the story of a world destroyed by a conflict between robots and
+their human masters. Play as Tux in a quest to save the world from the
+murderous rebel bots who know no mercy. You get to choose which path you wish
+to follow, and freedom of choice is everywhere in the game.
+
+FreedroidRPG features a real time combat system with melee and ranged weapons,
+fairly similar to the proprietary game Diablo. There is an innovative system of
+programs that can be run in order to take control of enemy robots, alter their
+behavior, or improve one's characteristics. You can use over 50 different kinds
+of items and fight countless enemies on your way to your destiny. An advanced
+dialog system provides story background and immersive role playing situations.
+
+The game is complete, fully playable, and can provide about 10 hours of fun. It
+is still being actively developed, and help is welcome in many areas. People
+having - or trying to acquire - programming, map editing, or writing skills
+will find FreedroidRPG to be an exciting, fast-moving project in which they can
+fully express their creativity.
+</longdescription>
+<use>
+ <flag name="devtools">Compile the additional dev tools</flag>
+ <flag name="profile">Enable the integration of the ingame real-time profiler</flag>
+ <flag name="sanitize">Compile with address sanitizer</flag>
+</use>
+</pkgmetadata>
diff --git a/metadata/pkg_desc_index b/metadata/pkg_desc_index
index 0cd3dd58..b5364db9 100644
--- a/metadata/pkg_desc_index
+++ b/metadata/pkg_desc_index
@@ -74,6 +74,7 @@ games-engines/freesci 0.6.4-r1: Sierra script interpreter for your old Sierra ad
games-puzzle/fish-fillets 1.0.1-r1: Underwater puzzle game - find a safe way out
games-rpg/aklabeth 1.0-r1: A remake of Richard C. Garriott's Ultima prequel
games-rpg/dsa-stats 1.1: calculate stat probabalities for the role playing game DSA - Das schwarze Auge
+games-rpg/freedroidrpg 1.0_rc2: A modification of the classical Freedroid engine into an RPG
games-rpg/m5figur-mv 4.2.1: LaTeX2e character sheet layout for the Midgard Role Playing Game (Edition M5)
media-gfx/ipe 7.2.7: Drawing editor for creating figures in PDF or PS formats
media-gfx/pqiv 2.11: powerful GTK based command-line image viewer with a minimal UI
diff --git a/profiles/use.local.desc b/profiles/use.local.desc
index 001dc1db..df3ec003 100644
--- a/profiles/use.local.desc
+++ b/profiles/use.local.desc
@@ -169,6 +169,9 @@ games-emulation/xmame:net - Add network support
games-emulation/xmess:bundled-libs - Use bundled version of dev-libs/expat
games-emulation/xmess:net - Add network support
games-puzzle/fish-fillets:lua-slotted - Support slotted lua version
+games-rpg/freedroidrpg:devtools - Compile the additional dev tools
+games-rpg/freedroidrpg:profile - Enable the integration of the ingame real-time profiler
+games-rpg/freedroidrpg:sanitize - Compile with address sanitizer
games-rpg/m5figur-mv:examples - Compile example character sheet as PDF
media-gfx/pqiv:archive - Enable support for images in archives and cbX comic book files
media-gfx/pqiv:gtk2 - Use gtk:2 instead of gtk:3